# Microsoft Developer Studio Generated NMAKE File, Based on vcdll.dsp
!IF "$(CFG)" == ""
CFG=vcdll - Win32 Debug
!MESSAGE No configuration specified. Defaulting to vcdll - Win32 Debug.
!ENDIF 

!IF "$(CFG)" != "vcdll - Win32 Release" && "$(CFG)" != "vcdll - Win32 Debug"
!MESSAGE Invalid configuration "$(CFG)" specified.
!MESSAGE You can specify a configuration when running NMAKE
!MESSAGE by defining the macro CFG on the command line. For example:
!MESSAGE 
!MESSAGE NMAKE /f "vcdll.mak" CFG="vcdll - Win32 Debug"
!MESSAGE 
!MESSAGE Possible choices for configuration are:
!MESSAGE 
!MESSAGE "vcdll - Win32 Release" (based on "Win32 (x86) Dynamic-Link Library")
!MESSAGE "vcdll - Win32 Debug" (based on "Win32 (x86) Dynamic-Link Library")
!MESSAGE 
!ERROR An invalid configuration is specified.
!ENDIF 

!IF "$(OS)" == "Windows_NT"
NULL=
!ELSE 
NULL=nul
!ENDIF 

!IF  "$(CFG)" == "vcdll - Win32 Release"

OUTDIR=.\Release
INTDIR=.\Release
# Begin Custom Macros
OutDir=.\Release
# End Custom Macros

ALL : "$(OUTDIR)\vcdll.dll"


CLEAN :
	-@erase "$(INTDIR)\vc60.idb"
	-@erase "$(INTDIR)\VDI_arm_intel.obj"
	-@erase "$(OUTDIR)\vcdll.dll"
	-@erase "$(OUTDIR)\vcdll.exp"
	-@erase "$(OUTDIR)\vcdll.lib"

"$(OUTDIR)" :
    if not exist "$(OUTDIR)/$(NULL)" mkdir "$(OUTDIR)"

CPP=cl.exe
CPP_PROJ=/nologo /MT /W3 /GX /O2 /D "WIN32" /D "NDEBUG" /D "_WINDOWS" /D "_MBCS" /D "_USRDLL" /D "VCDLL_EXPORTS" /Fp"$(INTDIR)\vcdll.pch" /Yu"stdafx.h" /Fo"$(INTDIR)\\" /Fd"$(INTDIR)\\" /FD /c 

.c{$(INTDIR)}.obj::
   $(CPP) @<<
   $(CPP_PROJ) $< 
<<

.cpp{$(INTDIR)}.obj::
   $(CPP) @<<
   $(CPP_PROJ) $< 
<<

.cxx{$(INTDIR)}.obj::
   $(CPP) @<<
   $(CPP_PROJ) $< 
<<

.c{$(INTDIR)}.sbr::
   $(CPP) @<<
   $(CPP_PROJ) $< 
<<

.cpp{$(INTDIR)}.sbr::
   $(CPP) @<<
   $(CPP_PROJ) $< 
<<

.cxx{$(INTDIR)}.sbr::
   $(CPP) @<<
   $(CPP_PROJ) $< 
<<

MTL=midl.exe
MTL_PROJ=/nologo /D "NDEBUG" /mktyplib203 /win32 
RSC=rc.exe
BSC32=bscmake.exe
BSC32_FLAGS=/nologo /o"$(OUTDIR)\vcdll.bsc" 
BSC32_SBRS= \
	
LINK32=link.exe
LINK32_FLAGS=kernel32.lib user32.lib gdi32.lib winspool.lib comdlg32.lib advapi32.lib shell32.lib ole32.lib oleaut32.lib uuid.lib odbc32.lib odbccp32.lib /nologo /dll /incremental:no /pdb:"$(OUTDIR)\vcdll.pdb" /machine:I386 /out:"$(OUTDIR)\vcdll.dll" /implib:"$(OUTDIR)\vcdll.lib" 
LINK32_OBJS= \
	"$(INTDIR)\VDI_arm_intel.obj"

"$(OUTDIR)\vcdll.dll" : "$(OUTDIR)" $(DEF_FILE) $(LINK32_OBJS)
    $(LINK32) @<<
  $(LINK32_FLAGS) $(LINK32_OBJS)
<<

!ELSEIF  "$(CFG)" == "vcdll - Win32 Debug"

OUTDIR=.\Debug
INTDIR=.\Debug

ALL : "..\Release\VDI_intel.dll"


CLEAN :
	-@erase "$(INTDIR)\vc60.idb"
	-@erase "$(INTDIR)\vc60.pdb"
	-@erase "$(INTDIR)\VDI_arm_intel.obj"
	-@erase "$(OUTDIR)\VDI_intel.exp"
	-@erase "$(OUTDIR)\VDI_intel.lib"
	-@erase "$(OUTDIR)\VDI_intel.pdb"
	-@erase "..\Release\VDI_intel.dll"
	-@erase "..\Release\VDI_intel.ilk"

"$(OUTDIR)" :
    if not exist "$(OUTDIR)/$(NULL)" mkdir "$(OUTDIR)"

CPP=cl.exe
CPP_PROJ=/nologo /MTd /W3 /Gm /GX /ZI /Od /D "WIN32" /D "_DEBUG" /D "_WINDOWS" /D "_MBCS" /D "_USRDLL" /D "VCDLL_EXPORTS" /D "MSVC" /D "PALMOS_5_EMU" /Fo"$(INTDIR)\\" /Fd"$(INTDIR)\\" /FD /GZ /c 

.c{$(INTDIR)}.obj::
   $(CPP) @<<
   $(CPP_PROJ) $< 
<<

.cpp{$(INTDIR)}.obj::
   $(CPP) @<<
   $(CPP_PROJ) $< 
<<

.cxx{$(INTDIR)}.obj::
   $(CPP) @<<
   $(CPP_PROJ) $< 
<<

.c{$(INTDIR)}.sbr::
   $(CPP) @<<
   $(CPP_PROJ) $< 
<<

.cpp{$(INTDIR)}.sbr::
   $(CPP) @<<
   $(CPP_PROJ) $< 
<<

.cxx{$(INTDIR)}.sbr::
   $(CPP) @<<
   $(CPP_PROJ) $< 
<<

MTL=midl.exe
MTL_PROJ=/nologo /D "_DEBUG" /mktyplib203 /win32 
RSC=rc.exe
BSC32=bscmake.exe
BSC32_FLAGS=/nologo /o"$(OUTDIR)\vcdll.bsc" 
BSC32_SBRS= \
	
LINK32=link.exe
LINK32_FLAGS=kernel32.lib user32.lib gdi32.lib winspool.lib comdlg32.lib advapi32.lib shell32.lib ole32.lib oleaut32.lib uuid.lib odbc32.lib odbccp32.lib /nologo /dll /incremental:yes /pdb:"$(OUTDIR)\VDI_intel.pdb" /debug /machine:I386 /out:"../Release/VDI_intel.dll" /implib:"$(OUTDIR)\VDI_intel.lib" /pdbtype:sept 
LINK32_OBJS= \
	"$(INTDIR)\VDI_arm_intel.obj"

"..\Release\VDI_intel.dll" : "$(OUTDIR)" $(DEF_FILE) $(LINK32_OBJS)
    $(LINK32) @<<
  $(LINK32_FLAGS) $(LINK32_OBJS)
<<

!ENDIF 


!IF "$(NO_EXTERNAL_DEPS)" != "1"
!IF EXISTS("vcdll.dep")
!INCLUDE "vcdll.dep"
!ELSE 
!MESSAGE Warning: cannot find "vcdll.dep"
!ENDIF 
!ENDIF 


!IF "$(CFG)" == "vcdll - Win32 Release" || "$(CFG)" == "vcdll - Win32 Debug"
SOURCE=..\VDI_arm_intel.c

"$(INTDIR)\VDI_arm_intel.obj" : $(SOURCE) "$(INTDIR)" "$(INTDIR)\vcdll.pch"
	$(CPP) $(CPP_PROJ) $(SOURCE)



!ENDIF 

